using Godot;

public class NoOverlay : Overlay
{
    // in this view we want to draw tiles with their normal colour

    public override void Initialise(Tile tile, ShaderMaterial material)
    {
        var type = tile.type;
        material.SetShaderParam("lowColor", type.Color);
        material.SetShaderParam("t", 0);
    }

    public override void Process(Tile tile, ShaderMaterial material)
    {
    }
}